<template lang="pug">
  .container-fluid.new
    .row
      l-nav.new__nav(position-styles="right:0")
        template
          button.btn.btn_white.mr-2(type="button" @click="clear()") Удалить
          button.btn.btn_blue(type="button" @click="save()") Сохранить и закрыть

      main.col-8.new__new-layout
        .row
          .col-auto.new__back
            router-link(:to="{name: 'layouts'}")
              i-arrow
          form.col-10.new__form
            .form-row.align-items-center.mb-4
              .col-2.form-prepend(data-prepend="№")
                input.form-control(type="number" placeholder="###" v-model="layout.id" )
              .col-10
                input.form-control(type="text" placeholder="Design Title" v-model="layout.name")
            .form-row.mb-4
              .col-12.form-prepend(data-prepend="🔗")
                input.form-control(type="text" placeholder="https://design###.horoshop.ua/"  v-model="layout.site")
            .form-row.align-items-center.mb-4
              .col-10
                input.form-control(type="text" placeholder="Link to image"  v-model="img")
              .col-2
                button.w-100.btn.btn_blue(type="button" @click="addImg(`img_${layout.imgs.length+1}`)") Добавить
            transition-group.form-row(tag="div" name="images")
              l-image(v-for="(img, i) in layout.imgs" :img="img" :key="`img_${i}`" @deleteImg="deleteImg")



</template>

<script>
  import LNav from '@/components/LNav'
  import LImage from "@/components/LImage"

  import IArrow from '@/assets/img/ico/ico-arrow.svg?inline'

  export default {
    components: {
      LNav, LImage, IArrow
    },
    data() {
      return {
        img: '',
        layout: {
          id: '',
          name: '',
          imgs: [],
          site: ''
        }
      }
    },
    methods: {
      addImg(id) {
        if(this.img === '') return;
        this.layout.imgs.push({id, src: this.img});
        this.img = ''
      },
      deleteImg(img) {
        this.layout.imgs.splice(this.layout.imgs.indexOf(img), 1)
      },
      save() {
        this.$store.commit('ADD_NEW_LAYOUT', this.layout);
        this.$router.push({name: 'layouts'})
      },
      clear() {
        this.img = '';
        this.layout = {
          id: '',
          name: '',
          imgs: [],
          site: ''
        }
      }
    }
  }
</script>

<style lang="sass" src="@/assets/css/pages/_add-layout.sass"></style>
<style lang="sass">




</style>